#include <stdio.h>

int main() {
    int a,n,i;
    
    scanf("%d %d",&n,&a);
    int b[n];
    for(i=1;i<n;i++)
    {
        scanf("%d",&b[i]);
    }
    for(i=1;i<n;i++)
    {
        if(a>=b[i])
        {
            printf("%d",i);break;
        }
        else if(i==(n-1) && a<=b[i])
        {
            printf("-1");break;
        }
    }
}